<div class="card-body container-card">
  <div id="general-informations-body" class="collapse show">
      <div class=" p-0">
          <!-- account pp -->
          <form *ngIf="accountType=='PP'" [formGroup]="accountPPFormGroup" autocomplete="off">
              <label class="w-auto  legend">Informations générales</label>
              <fieldset class="border form">
                  <!-- <legend class="w-auto  legend">informations générales</legend> -->

                  <!-- PHOTO -->
                  <!-- <div class="row d-flex justify-content-center">
                                                          <div class=" profilepic" (click)="onDownload()">
                                                              <img class="profilepic__image"  [src]="photoImg" height="200" width="200" alt="Profibild" />
                                                              <div class="profilepic__content" >
                                                                <span class="profilepic__icon"><i class="ri-camera-line"></i></span>
                                                                <span class="profilepic__text">Edit Profile</span>
                                                                <input  id="imageUpload"  type="file" (change)="onFileSelected($event)"
                                                                              [accept]="['.jpeg','.jpg','.png']" capture>
                                                              </div>
                                                            </div>
                                                      </div> -->

                  <!-- 1 bloc -->
                  <div class="row">
                      <!-- CIVILITE -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.CIVILITE'|translate}}</label>
                          <ngx-select    [items]="civiliteList" [optionValueField]="'code'"
                              [optionTextField]="'value'" formControlName="civilite"
                              [placeholder]="'FIELD.COMPTE_PP.CIVILITE'|translate" size='small'

                        >
                          </ngx-select>

                          <div *ngIf="accountPPFormGroup.get('civilite').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('civilite').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                          </div>
                      </div>
                      <!-- PRENOM -->
                      <div class="col-md-3 mt-0">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.NOM'|translate}}</label>

                          <input   type="text" class="form-control form-control-sm" formControlName="lastName"
                              pattern="[A-Za-zÀ-ÿ ]+" placeholder="{{'FIELD.COMPTE_PP.NOM'|translate}}">

                          <div *ngIf="accountPPFormGroup.get('lastName').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('lastName').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                              <div *ngIf="accountPPFormGroup.get('lastName').errors.pattern" class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                              </div>
                          </div>
                      </div>
                      <!-- NOM -->
                      <div class="col-md-3 mt-0">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.PRENOM'|translate}}</label>

                          <input   type="text" class="form-control form-control-sm" formControlName="firstName"
                              pattern="[A-Za-zÀ-ÿ ]+" placeholder="{{'FIELD.COMPTE_PP.PRENOM'|translate}}">
                          <div *ngIf="accountPPFormGroup.get('firstName').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('firstName').errors.required"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                              <div *ngIf="accountPPFormGroup.get('firstName').errors.pattern" class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                              </div>
                          </div>
                      </div>
                      <!-- profission -->
                      <div class="col-md-3 mt-0">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.PROFESSION'|translate}}</label>

                          <input   type="text" class="form-control form-control-sm" formControlName="profission"
                              placeholder="{{'FIELD.COMPTE_PP.PROFESSION'|translate}}" pattern="[A-Za-zÀ-ÿ ]+">

                          <div *ngIf="accountPPFormGroup.get('profission').invalid && showValidationsMsg">

                              <div *ngIf="accountPPFormGroup.get('profission').errors.required"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                              <div *ngIf="accountPPFormGroup.get('profission').errors.pattern"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                              </div>
                          </div>
                      </div>
                  </div>
                  <!-- 2 bloc -->
                  <div class="row ">
                      <!-- PI -->
                      <div class="col-md-3 ">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.PIECE_IDENTITE'|translate}}</label>

                          <input   type="text" class="form-control form-control-sm" formControlName="pieceIdentite"
                              pattern="[A-Za-zÀ-ÿ ]+"
                              placeholder="{{'FIELD.COMPTE_PP.PIECE_IDENTITE'|translate}}">

                          <div *ngIf="accountPPFormGroup.get('pieceIdentite').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('pieceIdentite').errors.required"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                              <div *ngIf="accountPPFormGroup.get('pieceIdentite').errors.pattern"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                              </div>
                          </div>
                      </div>
                      <!-- NumPi-->
                      <div class="col-md-3 ">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.NUM_PI'|translate}}</label>

                          <input   type="text" class="form-control form-control-sm" formControlName="numPi"
                              pattern="[A-Za-zÀ-ÿ 0-9 ]+" placeholder="{{'FIELD.COMPTE_PP.NUM_PI'|translate}}">
                          <div *ngIf="accountPPFormGroup.get('numPi').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('numPi').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                              <div *ngIf="accountPPFormGroup.get('numPi').errors.pattern" class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                              </div>
                          </div>
                      </div>
                      <!-- date d'experation pi -->
                      <div class="col-md-3 ">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.DATE_EXP_PI'|translate}}</label>

                          <input   type="text" class="form-control form-control-sm" formControlName="dateExpPI"
                              [placeholder]="'FIELD.COMPTE_PP.DATE_EXP_PI'|translate" [owlDateTime]="dt2">
                          <span   class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt2"
                              [title]="'FIELD.PLEASE.CHOOSE'|translate">
                              <i class="ri-calendar-line"></i>
                          </span>
                          <owl-date-time #dt2 [pickerType]="'calendar'"></owl-date-time>

                          <div *ngIf="accountPPFormGroup.get('dateExpPI').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('dateExpPI').errors.pattern" class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_DATE'|translate}}</small>
                              </div>
                              <div *ngIf="accountPPFormGroup.get('dateExpPI').errors.required"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                          </div>
                      </div>
                      <!-- SECTEUR -->
                      <div class="col-md-3 ">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.SECT_ACTIVITE'|translate}}</label>
                          <ngx-select    [items]="secteurList" [optionValueField]="'code'"
                              [optionTextField]="'value'" formControlName="secteur"
                              [placeholder]="'FIELD.COMPTE_PP.SECT_ACTIVITE'|translate" size='small'
                   >
                          </ngx-select>

                          <div *ngIf="accountPPFormGroup.get('secteur').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('secteur').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                          </div>
                      </div>
                  </div>
                  <!-- 3 bloc -->
                  <div class="row ">
                      <!-- code postal -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label>
                          <input    type="number" class="form-control form-control-sm" formControlName="codePostale"
                              placeholder="{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}">

                          <div *ngIf="accountPPFormGroup.get('codePostale').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('codePostale').errors.required"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                          </div>

                      </div>
                      <!-- nationalite -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.NATIONALITE'|translate}}</label>

                          <ngx-select    [items]="nationaliteList" [optionValueField]="'code'"
                              [optionTextField]="'value'" formControlName="nationality"
                              [placeholder]="'FIELD.COMPTE_PP.NATIONALITE'|translate" size='small'
                              >
                          </ngx-select>

                          <div *ngIf="accountPPFormGroup.get('nationality').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('nationality').errors.required"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                          </div>
                      </div>

                      <!-- pays -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.PAYS'|translate}}</label>

                          <ngx-select    [items]="paysList" [optionValueField]="'code'" [optionTextField]="'value'"
                              formControlName="pays" [placeholder]="'FIELD.COMPTE_PP.PAYS'|translate" size='small'
                              >
                          </ngx-select>

                          <div *ngIf="accountPPFormGroup.get('pays').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('pays').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                          </div>
                      </div>

                      <!-- adress -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.ADRESSE'|translate}}</label>
                          <input    type="text" class="form-control form-control-sm" formControlName="address"
                              placeholder="{{'FIELD.COMPTE_PP.ADRESSE'|translate}}">

                          <div *ngIf="accountPPFormGroup.get('address').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('address').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                          </div>
                      </div>
                  </div>
                  <!-- 4 bloc -->
                  <div class="row ">

                      <!--phone  -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.MOBILE'|translate}}</label>
                          <input type="number" class="form-control form-control-sm" formControlName="mobile"
                              pattern="[0-9\+ ]+" placeholder="{{'FIELD.COMPTE_PP.MOBILE'|translate}}">

                          <div *ngIf="accountPPFormGroup.get('mobile').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('mobile').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                              <div *ngIf="accountPPFormGroup.get('mobile').errors.pattern" class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                              </div>
                          </div>
                      </div>

                      <!-- email -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.EMAIL'|translate}}</label>
                          <input    type="email" class="form-control form-control-sm" formControlName="email"
                              pattern="[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$"
                              placeholder="{{'FIELD.COMPTE_PP.EMAIL'|translate}}">

                          <div *ngIf="accountPPFormGroup.get('email').invalid && showValidationsMsg">
                              <div *ngIf="accountPPFormGroup.get('email').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                              <div *ngIf="accountPPFormGroup.get('email').errors.pattern" class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_EMAIL'|translate}}</small>
                              </div>


                          </div>
                      </div>
                    <!-- COMPLET INFORMATION -->
                    <!-- --adress 2 -->
                    <div class="col-md-3">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.ADRESSE2'|translate}}</label>
                        <input type="text" class="form-control form-control-sm" formControlName="address2"
                            placeholder="{{'FIELD.COMPTE_PP.ADRESSE2'|translate}}">
                    </div>

                    <!-- --mobile2 -->

                    <div class="col-md-3">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.MOBILE2'|translate}}</label>
                        <input type="number" class="form-control form-control-sm" formControlName="mobile2" pattern="[0-9\+ ]+"
                            placeholder="{{'FIELD.COMPTE_PP.MOBILE2'|translate}}">

                        <div *ngIf="accountPPFormGroup.get('mobile2').invalid && showValidationsMsg">
                            <div *ngIf="accountPPFormGroup.get('mobile2').errors.pattern" class="text-danger">
                                <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                            </div>
                        </div>
                    </div>

                  </div>

                  <!-- 4 bloc -->
                  <div class="row ">
                    <!-- --date de naissance  -->
                    <div class="col-md-3">
                                      <label class="col-form-label">{{'FIELD.COMPTE_PP.DATE_NAIS'|translate}}</label>
                                      <input type="text" class="form-control form-control-sm" formControlName="dateOfBirth" [placeholder]="'FIELD.PLEASE.DATE'|translate" [owlDateTime]="dt">
                                      <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt" [title]="'FIELD.PLEASE.CHOOSE'|translate">
                                         <i class="ri-calendar-line"></i>
                                      </span>
                                      <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>

                                     <div *ngIf="accountPPFormGroup.get('dateOfBirth').invalid && showValidationsMsg">
                                       <div *ngIf="accountPPFormGroup.get('dateOfBirth').errors.pattern" class="text-danger">
                                         <small>{{'FIELD.ERRORS.PATTERN_DATE'|translate}}</small>
                                       </div>
                                       <div *ngIf="accountPPFormGroup.get('dateOfBirth').errors.required" class="text-danger">
                                         <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                       </div>
                                     </div>
                                   </div>



                  <!-- --nom pere -->
 <div class="col-md-3">
                  <label class="col-form-label">{{'FIELD.COMPTE_PP.NOM_PERE'|translate}}</label>
                  <input type="text" class="form-control form-control-sm" formControlName="fatherFullName" pattern="[A-Za-zÀ-ÿ ]+"    placeholder="{{'FIELD.COMPTE_PP.NOM_PERE'|translate}}">

                 <div *ngIf="accountPPFormGroup.get('fatherFullName').invalid && showValidationsMsg">
                   <div *ngIf="accountPPFormGroup.get('fatherFullName').errors.pattern" class="text-danger">
                     <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                   </div>
                 </div>
               </div>

               <!-- --nom mere -->
               <div class="col-md-3">
                  <label class="col-form-label">{{'FIELD.COMPTE_PP.NOM_MERE'|translate}}</label>
                  <input type="text" class="form-control form-control-sm" formControlName="motherFullName" pattern="[A-Za-zÀ-ÿ ]+"  placeholder="{{'FIELD.COMPTE_PP.NOM_MERE'|translate}}">

                 <div *ngIf="accountPPFormGroup.get('motherFullName').invalid && showValidationsMsg">
                   <div *ngIf="accountPPFormGroup.get('motherFullName').errors.pattern" class="text-danger">
                     <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                   </div>
                 </div>
               </div>

               <!-- --residence type -->
   <div class="col-md-3">
                <label class="col-form-label">{{'FIELD.COMPTE_PP.RESIDENCE_TYPE'|translate}}</label>
                <ngx-select
                  [items]="typeResidenceList"
                  [optionValueField]="'code'"
                  [optionTextField]="'value'"
                  formControlName="typeResidence"
                  [placeholder]="'FIELD.PLEASE.SELECT'|translate"
                  size='small'
                  [ngClass]="{'select__toggle': accountPP?.residenceCountry==null}">
                </ngx-select>

                <div *ngIf="accountPPFormGroup?.get('residenceCountry')?.invalid && showValidationsMsg"
                     class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>

                </div>

                <!-- bloc 5 -->

                <div class="row">
                    <!-- country -->
                    <div class="col-md-3">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.PAYS_RESIDENCE'|translate}}</label>
                        <ngx-select
                           [items]="paysList"
                           [optionValueField]="'code'"
                           [optionTextField]="'value'"
                           formControlName="country"
                           [placeholder]="'FIELD.PLEASE.SELECT'|translate"
                           size='small'
                           >
                        </ngx-select>

                       <div *ngIf="accountPPFormGroup?.get('country')?.invalid && showValidationsMsg"
                            class="text-danger">
                         <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                       </div>
                     </div>

                    <!-- ville -->
                    <div class="col-md-3">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.VILLE'|translate}}</label>
                        <input type="text" class="form-control form-control-sm" formControlName="city" pattern="[A-Za-zÀ-ÿ ]+"
                               placeholder="{{'FIELD.COMPTE_PP.VILLE'|translate}}">

                       <div *ngIf="accountPPFormGroup.get('city').invalid && showValidationsMsg">
                         <div *ngIf="accountPPFormGroup.get('city').errors.required" class="text-danger">
                           <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                         </div>
                         <div *ngIf="accountPPFormGroup.get('city').errors.pattern" class="text-danger">
                           <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                         </div>
                       </div>

                </div>

            </div>
              </fieldset>
          </form>
          <!-- end account pp -->

          <!-- account pm -->

          <form *ngIf="accountType=='PM'" [formGroup]="accountPMFormGroup" autocomplete="off">
              <label class="w-auto  legend">informations générales</label>
              <fieldset class="form border">
                  <!-- bloc 1 -->
                  <div class="row">
                      <!-- raison social -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PM.RAISON_SOCIAL'|translate}}</label>
                          <input   type="text" class="form-control form-control-sm" formControlName="socialReason"
                              pattern="[A-Za-z0-9 ]+" placeholder="{{'FIELD.COMPTE_PM.RAISON_SOCIAL'|translate}}">

                          <div *ngIf="accountPMFormGroup.get('socialReason').invalid && showValidationsMsg">
                              <div *ngIf="accountPMFormGroup.get('socialReason').errors.required"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                              <div *ngIf="accountPMFormGroup.get('socialReason').errors.pattern"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                              </div>
                          </div>
                      </div>
                      <!-- form juridique -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PM.FORME_JURI'|translate}}</label>
                          <ngx-select   [items]="formeJuridiqueList" [optionValueField]="'code'"
                              [optionTextField]="'value'" formControlName="legalForm"
                              [placeholder]="'FIELD.COMPTE_PM.FORME_JURI'|translate" size='small'
                              >
                          </ngx-select>

                          <div *ngIf="accountPMFormGroup.get('legalForm').invalid && showValidationsMsg">
                              <div *ngIf="accountPMFormGroup.get('legalForm').errors.required"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                          </div>
                      </div>
                      <!-- ICE -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PM.ICE'|translate}}</label>
                          <input   type="text" class="form-control form-control-sm" formControlName="ice"
                              pattern="[A-Za-z0-9 ]+" placeholder="{{'FIELD.COMPTE_PM.ICE'|translate}}">

                          <div *ngIf="accountPMFormGroup.get('ice').invalid && showValidationsMsg">
                              <div *ngIf="accountPMFormGroup.get('ice').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                              <div *ngIf="accountPMFormGroup.get('ice').errors.pattern" class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                              </div>
                          </div>
                      </div>
                      <!-- pays -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.PAYS'|translate}}</label>
                          <ngx-select   [items]="paysList" [optionValueField]="'code'" [optionTextField]="'value'"
                              formControlName="pays" [placeholder]="'FIELD.COMPTE_PP.PAYS'|translate" size='small'
                             >
                          </ngx-select>
                          <div *ngIf="accountPMFormGroup.get('pays').invalid && showValidationsMsg">
                              <div *ngIf="accountPMFormGroup.get('pays').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                          </div>
                      </div>

                  </div>

                  <div class="row ">



                      <!-- adress -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PM.ADRESSE'|translate}}</label>
                          <input   type="text" class="form-control form-control-sm" formControlName="address"
                              placeholder="{{'FIELD.COMPTE_PM.ADRESSE'|translate}}">
                          <div *ngIf="accountPMFormGroup?.get('address')?.invalid && showValidationsMsg"
                              class="text-danger">
                              <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                          </div>
                      </div>
                      <!-- phone -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PM.PHONE'|translate}}</label>

                          <input   type="number" class="form-control form-control-sm" formControlName="phone"
                              pattern="[0-9\+ ]+" placeholder="{{'FIELD.COMPTE_PM.PHONE'|translate}}">

                          <div *ngIf="accountPMFormGroup.get('phone').invalid && showValidationsMsg">
                              <div *ngIf="accountPMFormGroup.get('phone').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                              <div *ngIf="accountPMFormGroup.get('phone').errors.pattern" class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                              </div>
                          </div>
                      </div>
                      <!-- fixe -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PM.FIXE'|translate}}</label>

                          <input   type="number" class="form-control form-control-sm" formControlName="fixe"
                              pattern="[0-9\+ ]+" placeholder="{{'FIELD.COMPTE_PM.FIXE'|translate}}">

                          <div *ngIf="accountPMFormGroup.get('fixe').invalid && showValidationsMsg">
                              <div *ngIf="accountPMFormGroup.get('fixe').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                              <div *ngIf="accountPMFormGroup.get('fixe').errors.pattern" class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                              </div>
                          </div>
                      </div>
                      <!-- Email -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PM.EMAIL'|translate}}</label>

                          <input   type="text" class="form-control form-control-sm" formControlName="email"
                              pattern="[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$"
                              placeholder="{{'FIELD.COMPTE_PM.EMAIL'|translate}}">

                          <div *ngIf="accountPMFormGroup.get('email').invalid && showValidationsMsg">
                              <div *ngIf="accountPMFormGroup.get('email').errors.pattern" class="text-danger">
                                  <small>{{'FIELD.ERRORS.PATTERN_EMAIL'|translate}}</small>
                              </div>
                              <div *ngIf="accountPMFormGroup.get('email').errors.required" class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                          </div>
                      </div>


                  </div>

                  <div class="row">

                      <!-- code postal -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label>

                          <input   type="number" class="form-control form-control-sm" formControlName="codePostale"
                              placeholder="{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}">

                          <div *ngIf="accountPMFormGroup.get('codePostale').invalid && showValidationsMsg">
                              <div *ngIf="accountPMFormGroup.get('codePostale').errors.required"
                                  class="text-danger">
                                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                              </div>
                          </div>

                      </div>
                      <!-- site -->
                      <div class="col-md-3">
                          <label class="col-form-label">{{'FIELD.COMPTE_PM.WEBSITE'|translate}}</label>

                          <input   type="text" class="form-control form-control-sm" formControlName="webSite"
                              placeholder="{{'FIELD.COMPTE_PM.WEBSITE'|translate}}">

                          <div *ngIf="accountPMFormGroup?.get('webSite')?.invalid && showValidationsMsg"
                              class="text-danger">
                              <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                          </div>
                      </div>
<!-- gestionnaire -->
                      <div class="col-md-3">
                        <label class="col-form-label">{{'FIELD.COMPTE_PM.GESTIONNAIRE'|translate}}</label>
                       <ngx-select
                         [items]="gestionnaireFrontsList"
                         [optionValueField]="'code'"
                         [optionTextField]="'value'"
                         formControlName="gestionnaire"
                         [placeholder]="'FIELD.PLEASE.SELECT'|translate"
                         size='small'
                         >
                       </ngx-select>
                     </div>




                  </div>
              </fieldset>

          </form>
          <!-- end account pm -->
      </div>


  </div>

</div>
